package cz.jzitnik.game.sprites;

import cz.jzitnik.tui.Sprite;

import java.util.HashMap;

public class WoolItem extends Sprite<WoolItem.WoolItemState> {
    public enum WoolItemState {
        RED, ORANGE, YELLOW, LIME, GREEN, CYAN, LIGHT_BLUE, BLUE, PURPLE, MAGENTA, PINK, WHITE, LIGHT_GRAY, GRAY, BROWN, BLACK
    }

    public WoolItem() {
        loadResources(new HashMap<>() {
            {
                put(WoolItemState.RED, "items/red_wool.ans");
                put(WoolItemState.ORANGE, "items/orange_wool.ans");
                put(WoolItemState.YELLOW, "items/yellow_wool.ans");
                put(WoolItemState.LIME, "items/lime_wool.ans");
                put(WoolItemState.GREEN, "items/green_wool.ans");
                put(WoolItemState.CYAN, "items/cyan_wool.ans");
                put(WoolItemState.LIGHT_BLUE, "items/light_blue_wool.ans");
                put(WoolItemState.BLUE, "items/blue_wool.ans");
                put(WoolItemState.PURPLE, "items/purple_wool.ans");
                put(WoolItemState.MAGENTA, "items/magenta_wool.ans");
                put(WoolItemState.PINK, "items/pink_wool.ans");
                put(WoolItemState.WHITE, "items/white_wool.ans");
                put(WoolItemState.LIGHT_GRAY, "items/light_gray_wool.ans");
                put(WoolItemState.GRAY, "items/gray_wool.ans");
                put(WoolItemState.BROWN, "items/brown_wool.ans");
                put(WoolItemState.BLACK, "items/black_wool.ans");
            }
        }, WoolItemState.class);
    }

    public String getSprite() {
        return getResource(WoolItemState.WHITE);
    }

    public String getSprite(WoolItemState state) {
        return getResource(state);
    }
}
